     d = open("nomer")
     getfirst(d)
     nom = 'Номер_док.'.d
     close(d)
     d = open("naklad")
     if Find(d,1,1,nom) != 0 then goto 900
     dbschet = "46"
     d1 = open("spoop")
     rem ---------------- УДАЛИТЬ ПРЕДЫДУЩИЕ ПРОВОДКИ ПО ДОКУМЕНТУ
     putkey(d1,2)
     if FindGe(d1,1,3,nom) != 0 then goto 200
210  if trim(nom) != trim('Документ'.d1) then goto 200
     if size(d1)=0 then goto 200
     delete(d1)
     goto 210
200  num_last = 0
     putkey(d1,0)
     if size(d1)>0
     {  getlast(d1)
        num_last = 'N_проводки'.d1
     }
     d3 = open("plan")
     fl_open = 0
     if Find(d3,1,1,'Номер'.d) = 0
     {
        if trim('Расчеты'.d3) = "МТ" | trim('Расчеты'.d3) = "мт" then fl_open = 1
     }
     close(d3)
     if fl_open = 1 then d2 = open(trim('Номер'.d))
     sumuch = 0
     sumkom = 0
     sumnds = 0
     for i = 1 to 30
        nnazv = "Назв" + str(i,1,0)
        ncena = "Цена" + str(i,1,0)
        nkol = "Кол" + str(i,1,0)
        nkod = "Кд" + str(i,1,0)
        ned = "Е" + str(i,1,0)
        nnds = "НДС" + str(i,1,0)
        if 'nnazv'.d = "                              " then goto 100
        if fl_open = 0
        {
           s1 = ('ncena'.d*'nkol'.d*(100+'nnds'.d))/100 
           sumkom = sumkom+num(str(s1,14,2))
           nds = ('ncena'.d*'nkol'.d*'nnds'.d)/100
           sumnds = sumnds + num(str(nds,14,2))
           goto 100
        }
        num_last = num_last + 1
        clearbuf(d1)
        'N_проводки'.d1 = num_last
        'Дата'.d1 = 'Дата'.d
        'Документ'.d1 = nom   
        'Db_счета'.d1 = dbschet
        'Db_расчеты'.d1 = ""
        'Kr_счета'.d1 = 'Номер'.d                                                                   
        'Kr_расчеты'.d1 = 'nkod'.d
        if Find(d2,1,1,'nkod'.d) != 0 then goto 999
        'Сумма'.d1 = num(str('Цена'.d2*'nkol'.d,14,2))
        'Количество'.d1 = 'nkol'.d
        cena = 'ncena'.d
        if 'Наценка'.d != 0.0
        {  nacen = num(str(cena * 'Наценка'.d / 100,14,2))
           cena = cena + nacen
        }
        s1 = (cena*'nkol'.d*(100+'nnds'.d))/100
        sumkom = sumkom+num(str(s1,14,2))
        sumuch = sumuch+'Сумма'.d1
        nds = (cena*'nkol'.d*'nnds'.d)/100
        sumnds = sumnds + num(str(nds,14,2))
        'Примечание'.d1 = trim('Название'.d)+" "+trim('nnazv'.d)
        if 'Сумма'.d1 = 0.0 & 'Количество'.d1 = 0.0 then goto 100
        insert(d1)
100  next
     rem ---------------------------- D62 K46
     num_last = num_last + 1
     clearbuf(d1)
     'N_проводки'.d1 = num_last
     'Дата'.d1 = 'Дата'.d
     'Документ'.d1 = nom   
     sub = ""
rem     d3 = open("62")
rem     if Find(d3,1,2,'Код'.d) != 0
rem     {  putkey(d3,0)
rem        getlast(d3)
rem        sub = str(num('Субсчет'.d3) + 1,3,0)
rem        clearbuf(d3)
rem        'Субсчет'.d3 = sub
rem        'Код'.d3 = 'Код'.d
rem        'Название'.d3 = 'Название'.d
rem        insert(d3)
rem     }
rem     else
rem     {
rem        sub = 'Субсчет'.d3
rem     }
rem     close(d3)

     'Db_счета'.d1 = "62"
     'Db_расчеты'.d1 = sub
     'Kr_счета'.d1 = dbschet
     'Kr_расчеты'.d1 = ""
     'Сумма'.d1 = sumkom
     'Примечание'.d1 = trim('Название'.d)
     if 'Сумма'.d1 = 0.0 then goto 999
     insert(d1)
     rem ---------------------------- D46 K68
     num_last = num_last + 1
     clearbuf(d1)
     'N_проводки'.d1 = num_last
     'Дата'.d1 = 'Дата'.d
     'Документ'.d1 = nom   
     'Db_счета'.d1 = dbschet
     'Db_расчеты'.d1 = ""
     'Kr_счета'.d1 = "68"
     'Kr_расчеты'.d1 = "68-5"
     'Сумма'.d1 = sumnds
     'Примечание'.d1 = trim('Название'.d)
     if 'Сумма'.d1 = 0.0 then goto 999
     insert(d1)

999  close(d1)
     if fl_open = 1 then close(d2)
900  close(d)
     end
